package com.oauth.wrap.model;

/**
 * This class contains OAuth WRAP constants
 * 
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 * 
 */
public class Constant {

    public static final String CLIENT_ID = "wrap_client_id";
    public static final String CLIENT_SECRET = "wrap_client_secret";
    public static final String CALLBACK = "wrap_callback";
    public static final String CLIENT_STATE = "wrap_client_state";
    public static final String VERIFICATION_CODE = "wrap_verification_code";
    public static final String SCOPE = "wrap_scope";
    public static final String ERROR_REASON = "wrap_error_reason";
    public static final String ACCESS_TOKEN = "wrap_access_token";
    public static final String ACCESS_TOKEN_EXPIRATION = "wrap_access_token_expires_in";
    public static final String REFRESH_TOKEN = "wrap_refresh_token";
}
