/**
 * 
 */
package com.oauth.wrap.model;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

/**
 * @author Alex
 * 
 */
public class RefreshTokenTest {

    RefreshToken refreshToken;

    @Before
    public void setup() {
        refreshToken = new RefreshToken();
    }

    @Test
    public void shouldReturnValidRefreshToken() {
        refreshToken.setRefreshToken("refreshToken");
        assertEquals("refreshToken", refreshToken.getRefreshToken());
        assertEquals(true, refreshToken.isValid());
    }

    @Test
    public void shouldReturnInvalidRefreshToken() {
        assertEquals(false, refreshToken.isValid());
    }

    @Test
    public void shouldReturnInvalidRefreshTokenWithErrorReason() {
        refreshToken.setErrorReason("errorReason");
        assertEquals("errorReason", refreshToken.getErrorReason());
        assertEquals(false, refreshToken.isValid());
    }
}
