/**
 * 
 */
package com.oauth.wrap.model;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

/**
 * @author Alex
 * 
 */
public class VerifierTest {

    Verifier verifier;

    @Before
    public void setup() {
        verifier = new Verifier();
    }

    @Test
    public void shouldReturnValidVerifier() {
        verifier.setCode("verifier");
        assertEquals("verifier", verifier.getCode());
        assertEquals(true, verifier.isValid());
    }

    @Test
    public void shouldReturnInvalidVerifier() {
        assertEquals(false, verifier.isValid());
    }

    @Test
    public void shouldReturnInvalidVerifierWithErrorReason() {
        verifier.setErrorReason("errorReason");
        assertEquals("errorReason", verifier.getErrorReason());
        assertEquals(false, verifier.isValid());
    }
}
